<template>
  <footer class="Footer">
    <Link
      to="/settings"
      :title="t('settings.title')"
      class="Footer__SettingsLink"
    >
      <Icon :icon="Icons.settings" />
    </Link>

    <span class="Footer__Message"
      >Open Source
      <Link href="https://gitlab.com/savadenn-public/demo/machine-planner"
        >Machine Planner</Link
      > by <Link href="https://www.savadenn.bzh">Savadenn</Link>
    </span>
  </footer>
</template>

<script lang="ts">
import { defineComponent, inject } from 'vue'
import Link from '@/components/Link.vue'
import { Icons } from '@/Icons'
import { Icon, Button } from '@/components'
import { Formatters } from '@/helpers'
import { settings } from '@/states'
import { Entries } from '@/stores'

export default defineComponent({
  name: 'Footer',
  components: { Link, Icon },
  setup() {
    return {
      Icons,
      t: inject('t', (str: unknown) => str),
      async Download() {
        const entries = await Entries.all()
        Formatters[settings.downloadFormat].download(entries)
      },
      settings,
    }
  },
})
</script>

<style lang="scss" scoped>
@use '../../style/variables' as v;

.Footer {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding: v.$spacing/4;

  * {
    margin: 0 v.$spacing/2;
  }

  &__Message {
    display: inline-flex;
    flex: 1 1;
    justify-content: flex-end;
    font-size: 0.8em;
  }

  &__SettingsLink {
    font-size: 1.5em;
  }
}
</style>
